# Uses of Enum Class
org.apache.solr.client.solrj.response.XMLResponseParser.KnownType

Packages that use XMLResponseParser.KnownType
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of XMLResponseParser.KnownType in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return XMLResponseParser.KnownType
Modifier and Type
Method
Description
`static XMLResponseParser.KnownType`
XMLResponseParser.KnownType.`get(String v)`
`static XMLResponseParser.KnownType`
XMLResponseParser.KnownType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLResponseParser.KnownType[]`
XMLResponseParser.KnownType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.